'use strict';
function getPatchPath() {
	var writablePath = jsb.fileUtils.getWritablePath();
	var patchPath;

	// check last char
	var lastChar = writablePath.substr(writablePath.length - 1, 1);
	if (lastChar == "/" || lastChar == "\\") {
		patchPath = writablePath + "patch/";
	} else {
		patchPath = writablePath + "/patch/";
	}
	return patchPath;
}


function injectSearchPath() {
	if (!jsb) return;
	console.log("main.js injectSearchPath");

	var fileUtilsSearchPaths = jsb.fileUtils.getSearchPaths();
	var searchPath = getPatchPath();

	// delete repeat searchPath
	for (var j = fileUtilsSearchPaths.length - 1; j >= 0; j--) {
		if (fileUtilsSearchPaths[j] == searchPath) {
			fileUtilsSearchPaths.splice(j, 1);
		}
	}

	// insert to top
	fileUtilsSearchPaths.unshift(searchPath)

	jsb.fileUtils.setSearchPaths(fileUtilsSearchPaths);

	var searchPaths = jsb.fileUtils.getSearchPaths();
	console.log("jsb.fileUtils.getSearchPaths()", searchPaths);
	for (var i = 0; i < searchPaths.length; i++) {
		console.log(i, searchPaths[i]);
	}
}

if (jsb) {
	injectSearchPath();
}

require("main_origin.js");